<?PHP

class block_login_sso extends block_base {
    function init() {
        $this->title = get_string('title', 'block_login_sso');;
    }

    function applicable_formats() {
        return array('site' => true);
    }

    function get_content () {
        global $USER, $CFG, $SESSION;
        $wwwroot = '';
        $signup = '';

        if ($this->content !== NULL) {
            return $this->content;
        }

        if (empty($CFG->loginhttps)) {
            $wwwroot = $CFG->wwwroot;
        } else {
            // This actually is not so secure ;-), 'cause we're
            // in unencrypted connection...
            $wwwroot = str_replace("http://", "https://", $CFG->wwwroot);
        }

        if (!empty($CFG->registerauth)) {
            $authplugin = get_auth_plugin($CFG->registerauth);
            if ($authplugin->can_signup()) {
                $signup = $wwwroot . '/login/signup.php';
            }
        }
        // TODO: now that we have multiauth it is hard to find out if there is a way to change password
        //$forgot = $wwwroot . '/login/forgot_password.php';

        $username = get_moodle_cookie() === 'nobody' ? '' : get_moodle_cookie();

        $this->content = new stdClass;
		$this->content->items  = array();
		$this->content->icons  = array();
		$this->content->footer = '';

        if (!isloggedin() or isguestuser()) {   // Show the block

        	//simplesaml plugin


        	$this->content->text .="<a href=\"$CFG->wwwroot/auth/simplesaml/index.php\">
        								<img src=\"$CFG->wwwroot/auth/simplesaml/aai.png\" border=\"0\" alt=\"AAI@EduHr prijava\"
        									style=\"width: 160px; max-width: 100%;height: auto;margin-left: auto;margin-right: auto;display: block; margin-top: 5px; margin-bottom: 5px;\">
        							</a>
        							Kliknite <a href=\"$CFG->wwwroot/auth/simplesaml/index.php\">ovdje</a> za prijavu s elektroničkim identitetom iz sustava AAI@EduHr.\n<br>";
            if(!isguestuser()) {
				$this->content->text .="<form method=\"post\" name=\"guestlogin\" action=\"$CFG->wwwroot/login/index.php\">".
				"<input type=\"hidden\" name=\"username\" value=\"guest\">".
				"<input type=\"hidden\" name=\"password\" value=\"guest\">".
				"Prijavite se kao <a href=\"#\" onClick=\"document.guestlogin.submit();\">gost</a>.";
        	}

			if (!empty($signup)) {
                $this->content->footer .= '<div><a href="'.$signup.'">'.get_string('startsignup').'</a></div>';
            }
            if (!empty($forgot)) {
                $this->content->footer .= '<div><a href="'.$forgot.'">'.get_string('forgotaccount').'</a></div>';
            }
        }

        return $this->content;
    }
}

?>
